"""exceptions for Protocol Handlers
This module is imported by __init__.py"""

class ProtocolActivationException(Exception):
    """Base class for activation exceptions"""

class HandlerAlreadyActivated(ProtocolActivationException):
    """Raised if a protocol handler is activated twice
    for semantically identical activators"""

class HandlerNotActivated(ProtocolActivationException):
    """Raised if the handler had not been activated
    with the element for which it is deactivated, or has not been activated to
    handle the input, or is not expecting any input"""
